<?php

// °  ȣȯ (1841~2043  203Ⱓ)
//  ------ lun2sol() ------
//    1841 1 1  1841 1 23 ̴.
//   ¥  Ͽ ȯϰ ϴ ³¥ 
//  ϰ ̸   ¥ 1841 1 23Ͽ Ͽ ¿
//    ¥ Ѵ.
//  , 1841 1 1Ϻ Ͽ ȯϰ ϴ  ¥
//   td ϰ,  1841 1 23Ϻ td ϸ  
//    ĥ Ǵ ϸ  ¥ ٷ  ¥ 
//   ¥ ȴ.    ¥  , ϰ 
//    Ͽ Ѵ.
//  ------ sol2lun() ------
//    1841 1 23Ϻ  y m dϱ  td Ѵ
//    1841 1 1Ϻ td   ¥ Ѵ.
//    μ  1842 6 14Ͽ   غ.
//	 1841 1 23Ϻ 1842 6 14ϱ  td ϸ
//   500 ȴ. td  500 1841  384 ũǷ 500 384
//      116 Ѵ. ٽ  116 1842  Ѵ.
//     116 355 ũ Ƿ ⵵ 1842 ǰ Ͽ
//    Ѵ. 116 1842 1  29 ũǷ 116 29 
//   87 ´. ٽ 2  30 Ѵ.  ũǷ 87 30 
//   57 ´. ٽ 57 3  29Ϻ ũǷ 57 29  28
//   ´. 28 4  30 ũ Ƿ  4 ǰ ¥ 28
//   ȴ.    1842 6 14  1842 4 28 ȴ.


$kk = array(
/* 1841 */     1, 2, 4, 1, 1, 2,    1, 2, 1, 2, 2, 1,
	       2, 2, 1, 2, 1, 1,    2, 1, 2, 1, 2, 1,
               2, 2, 2, 1, 2, 1,    4, 1, 2, 1, 2, 1,
	      2, 2, 1, 2, 1, 2,    1, 2, 1, 2, 1, 2,
	      1, 2, 1, 2, 2, 1,    2, 1, 2, 1, 2, 1,
	      2, 1, 2, 1, 5, 2,    1, 2, 2, 1, 2, 1,
	      2, 1, 1, 2, 1, 2,    1, 2, 2, 2, 1, 2,
	      1, 2, 1, 1, 2, 1,    2, 1, 2, 2, 2, 1,
	      2, 1, 2, 3, 2, 1,    2, 1, 2, 1, 2, 2,
	      2, 1, 2, 1, 1, 2,    1, 1, 2, 2, 1, 2,
/* 1851 */     2, 2, 1, 2, 1, 1,    2, 1, 2, 1, 5, 2,
               2, 1, 2, 2, 1, 1,    2, 1, 2, 1, 1, 2,
               2, 1, 2, 2, 1, 2,    1, 2, 1, 2, 1, 2,
	      1, 2, 1, 2, 1, 2,    5, 2, 1, 2, 1, 2,
	      1, 1, 2, 1, 2, 2,    1, 2, 2, 1, 2, 1,
	      2, 1, 1, 2, 1, 2,    1, 2, 2, 2, 1, 2,
	      1, 2, 1, 1, 5, 2,    1, 2, 1, 2, 2, 2,
	      1, 2, 1, 1, 2, 1,    1, 2, 2, 1, 2, 2,
	      2, 1, 2, 1, 1, 2,    1, 1, 2, 1, 2, 2,
	      2, 1, 6, 1, 1, 2,    1, 1, 2, 1, 2, 2,
/* 1861 */     1, 2, 2, 1, 2, 1,    2, 1, 2, 1, 1, 2,
               2, 1, 2, 1, 2, 2,    1, 2, 2, 3, 1, 2,
	       1, 2, 2, 1, 2, 1,    2, 2, 1, 2, 1, 2,
	       1, 1, 2, 1, 2, 1,    2, 2, 1, 2, 2, 1,
	       2, 1, 1, 2, 4, 1,    2, 2, 1, 2, 2, 1,
	       2, 1, 1, 2, 1, 1,    2, 2, 1, 2, 2, 2,
	       1, 2, 1, 1, 2, 1,    1, 2, 1, 2, 2, 2,
	       1, 2, 2, 3, 2, 1,    1, 2, 1, 2, 2, 1,
	       2, 2, 2, 1, 1, 2,    1, 1, 2, 1, 2, 1,
	       2, 2, 2, 1, 2, 1,    2, 1, 1, 5, 2, 1,
/* 1871 */     2, 2, 1, 2, 2, 1,    2, 1, 2, 1, 1, 2,
               1, 2, 1, 2, 2, 1,    2, 1, 2, 2, 1, 2,
	       1, 1, 2, 1, 2, 4,    2, 1, 2, 2, 1, 2,
	       1, 1, 2, 1, 2, 1,    2, 1, 2, 2, 2, 1,
	       2, 1, 1, 2, 1, 1,    2, 1, 2, 2, 2, 1,
	       2, 2, 1, 1, 5, 1,    2, 1, 2, 2, 1, 2,
	       2, 2, 1, 1, 2, 1,    1, 2, 1, 2, 1, 2,
	       2, 2, 1, 2, 1, 2,    1, 1, 2, 1, 2, 1,
	       2, 2, 4, 2, 1, 2,    1, 1, 2, 1, 2, 1,
	       2, 1, 2, 2, 1, 2,    2, 1, 2, 1, 1, 2,
			   
/* 1881 */     1, 2, 1, 2, 1, 2,    5, 2, 2, 1, 2, 1,
               1, 2, 1, 2, 1, 2,    1, 2, 2, 1, 2, 2,
               1, 1, 2, 1, 1, 2,    1, 2, 2, 2, 1, 2,
               2, 1, 1, 2, 3, 2,    1, 2, 2, 1, 2, 2,
               2, 1, 1, 2, 1, 1,    2, 1, 2, 1, 2, 2,
 	           
	       2, 1, 2, 1, 2, 1,    1, 2, 1, 2, 1, 2,
               2, 2, 1, 5, 2, 1,    1, 2, 1, 2, 1, 2,
               2, 1, 2, 2, 1, 2,    1, 1, 2, 1, 2, 1,
               2, 1, 2, 2, 1, 2,    1, 2, 1, 2, 1, 2,
 	       1, 5, 2, 1, 2, 2,    1, 2, 1, 2, 1, 2,
   
/* 1891 */     1, 2, 1, 2, 1, 2,    1, 2, 2, 1, 2, 2,
               1, 1, 2, 1, 1, 5,    2, 2, 1, 2, 2, 2,
               1, 1, 2, 1, 1, 2,    1, 2, 1, 2, 2, 2,
               1, 2, 1, 2, 1, 1,    2, 1, 2, 1, 2, 2,
               2, 1, 2, 1, 5, 1,    2, 1, 2, 1, 2, 1,
               2, 2, 2, 1, 2, 1,    1, 2, 1, 2, 1, 2,
               1, 2, 2, 1, 2, 1,    2, 1, 2, 1, 2, 1,
	       2, 1, 5, 2, 2, 1,    2, 1, 2, 1, 2, 1,
               2, 1, 2, 1, 2, 1,    2, 2, 1, 2, 1, 2,
               1, 2, 1, 1, 2, 1,    2, 5, 2, 2, 1, 2,
			  
/* 1901 */     1, 2, 1, 1, 2, 1,    2, 1, 2, 2, 2, 1,
               2, 1, 2, 1, 1, 2,    1, 2, 1, 2, 2, 2,
 	       1, 2, 1, 2, 3, 2,    1, 1, 2, 2, 1, 2,
               2, 2, 1, 2, 1, 1,    2, 1, 1, 2, 2, 1,
               2, 2, 1, 2, 2, 1,    1, 2, 1, 2, 1, 2,
               1, 2, 2, 4, 1, 2,    1, 2, 1, 2, 1, 2,
               1, 2, 1, 2, 1, 2,    2, 1, 2, 1, 2, 1,
               2, 1, 1, 2, 2, 1,    2, 1, 2, 2, 1, 2,
               1, 5, 1, 2, 1, 2,    1, 2, 2, 2, 1, 2,
 	       1, 2, 1, 1, 2, 1,    2, 1, 2, 2, 2, 1,
/* 1911 */     2, 1, 2, 1, 1, 5,    1, 2, 2, 1, 2, 2,
               2, 1, 2, 1, 1, 2,    1, 1, 2, 2, 1, 2,
 	       2, 2, 1, 2, 1, 1,    2, 1, 1, 2, 1, 2,
               2, 2, 1, 2, 5, 1,    2, 1, 2, 1, 1, 2,
 	       2, 1, 2, 2, 1, 2,    1, 2, 1, 2, 1, 2,
               1, 2, 1, 2, 1, 2,    2, 1, 2, 1, 2, 1,
               2, 3, 2, 1, 2, 2,    1, 2, 2, 1, 2, 1,
               2, 1, 1, 2, 1, 2,    1, 2, 2, 2, 1, 2,
               1, 2, 1, 1, 2, 1,    5, 2, 2, 1, 2, 2,
               1, 2, 1, 1, 2, 1,    1, 2, 2, 1, 2, 2,
/* 1921 */     2, 1, 2, 1, 1, 2,    1, 1, 2, 1, 2, 2,
               2, 1, 2, 2, 3, 2,    1, 1, 2, 1, 2, 2,
               1, 2, 2, 1, 2, 1,    2, 1, 2, 1, 1, 2,
               2, 1, 2, 1, 2, 2,    1, 2, 1, 2, 1, 1,
 	       2, 1, 2, 5, 2, 1,    2, 2, 1, 2, 1, 2,
               1, 1, 2, 1, 2, 1,    2, 2, 1, 2, 2, 1,
 	       2, 1, 1, 2, 1, 2,    1, 2, 2, 1, 2, 2,
               1, 5, 1, 2, 1, 1,    2, 2, 1, 2, 2, 2,
               1, 2, 1, 1, 2, 1,    1, 2, 1, 2, 2, 2,
               1, 2, 2, 1, 1, 5,    1, 2, 1, 2, 2, 1, 
/* 1931 */     2, 2, 2, 1, 1, 2,    1, 1, 2, 1, 2, 1,
               2, 2, 2, 1, 2, 1,    2, 1, 1, 2, 1, 2,
 	       1, 2, 2, 1, 6, 1,    2, 1, 2, 1, 1, 2,
               1, 2, 1, 2, 2, 1,    2, 2, 1, 2, 1, 2,
               1, 1, 2, 1, 2, 1,    2, 2, 1, 2, 2, 1, 
               2, 1, 4, 1, 2, 1,    2, 1, 2, 2, 2, 1,
 	       2, 1, 1, 2, 1, 1,    2, 1, 2, 2, 2, 1,
               2, 2, 1, 1, 2, 1,    4, 1, 2, 2, 1, 2,
 	       2, 2, 1, 1, 2, 1,    1, 2, 1, 2, 1, 2,
               2, 2, 1, 2, 1, 2,    1, 1, 2, 1, 2, 1,
			  
/* 1941 */     2, 2, 1, 2, 2, 4,    1, 1, 2, 1, 2, 1,
               2, 1, 2, 2, 1, 2,    2, 1, 2, 1, 1, 2,
               1, 2, 1, 2, 1, 2,    2, 1, 2, 2, 1, 2,
               1, 1, 2, 4, 1, 2,    1, 2, 2, 1, 2, 2,
 	       1, 1, 2, 1, 1, 2,    1, 2, 2, 2, 1, 2, 
               2, 1, 1, 2, 1, 1,    2, 1, 2, 2, 1, 2,
               2, 5, 1, 2, 1, 1,    2, 1, 2, 1, 2, 2,
               2, 1, 2, 1, 2, 1,    1, 2, 1, 2, 1, 2,
 	       2, 2, 1, 2, 1, 2,    3, 2, 1, 2, 1, 2,
               2, 1, 2, 2, 1, 2,    1, 1, 2, 1, 2, 1, 
/* 1951 */     2, 1, 2, 2, 1, 2,    1, 2, 1, 2, 1, 2,
               1, 2, 1, 2, 4, 2,    1, 2, 1, 2, 1, 2,
               1, 2, 1, 1, 2, 2,    1, 2, 2, 1, 2, 2,
               1, 1, 2, 1, 1, 2,    1, 2, 2, 1, 2, 2,
               2, 1, 4, 1, 1, 2,    1, 2, 1, 2, 2, 2,
               1, 2, 1, 2, 1, 1,    2, 1, 2, 1, 2, 2,
 	       2, 1, 2, 1, 2, 1,    1, 5, 2, 1, 2, 2,
               1, 2, 2, 1, 2, 1,    1, 2, 1, 2, 1, 2,
               1, 2, 2, 1, 2, 1,    2, 1, 2, 1, 2, 1,
               2, 1, 2, 1, 2, 5,    2, 1, 2, 1, 2, 1, 
/* 1961 */     2, 1, 2, 1, 2, 1,    2, 2, 1, 2, 1, 2,
 	       1, 2, 1, 1, 2, 1,    2, 2, 1, 2, 2, 1,
               2, 1, 2, 3, 2, 1,    2, 1, 2, 2, 2, 1,
               2, 1, 2, 1, 1, 2,    1, 2, 1, 2, 2, 2,
               1, 2, 1, 2, 1, 1,    2, 1, 1, 2, 2, 1, 
               2, 2, 5, 2, 1, 1,    2, 1, 1, 2, 2, 1,
               2, 2, 1, 2, 2, 1,    1, 2, 1, 2, 1, 2,
               1, 2, 2, 1, 2, 1,    5, 2, 1, 2, 1, 2,
 	       1, 2, 1, 2, 1, 2,    2, 1, 2, 1, 2, 1,
               2, 1, 1, 2, 2, 1,    2, 1, 2, 2, 1, 2,
			  
/* 1971 */     1, 2, 1, 1, 5, 2,    1, 2, 2, 2, 1, 2,
 	       1, 2, 1, 1, 2, 1,    2, 1, 2, 2, 2, 1,
               2, 1, 2, 1, 1, 2,    1, 1, 2, 2, 2, 1,
 	       2, 2, 1, 5, 1, 2,    1, 1, 2, 2, 1, 2,
               2, 2, 1, 2, 1, 1,    2, 1, 1, 2, 1, 2,
               2, 2, 1, 2, 1, 2,    1, 5, 2, 1, 1, 2,
               2, 1, 2, 2, 1, 2,    1, 2, 1, 2, 1, 1,
               2, 2, 1, 2, 1, 2,    2, 1, 2, 1, 2, 1,
               2, 1, 1, 2, 1, 6,    1, 2, 2, 1, 2, 1,
               2, 1, 1, 2, 1, 2,    1, 2, 2, 1, 2, 2,
			  
/* 1981 */     1, 2, 1, 1, 2, 1,    1, 2, 2, 1, 2, 2,
               2, 1, 2, 3, 2, 1,    1, 2, 2, 1, 2, 2,
               2, 1, 2, 1, 1, 2,    1, 1, 2, 1, 2, 2,
 	       2, 1, 2, 2, 1, 1,    2, 1, 1, 5, 2, 2,
               1, 2, 2, 1, 2, 1,    2, 1, 1, 2, 1, 2, 
 	       1, 2, 2, 1, 2, 2,    1, 2, 1, 2, 1, 1,
               2, 1, 2, 2, 1, 5,    2, 2, 1, 2, 1, 2,
               1, 1, 2, 1, 2, 1,    2, 2, 1, 2, 2, 1,
               2, 1, 1, 2, 1, 2,    1, 2, 2, 1, 2, 2,
               1, 2, 1, 1, 5, 1,    2, 1, 2, 2, 2, 2, 
/* 1991 */     1, 2, 1, 1, 2, 1,    1, 2, 1, 2, 2, 2,
 	       1, 2, 2, 1, 1, 2,    1, 1, 2, 1, 2, 2,
               1, 2, 5, 2, 1, 2,    1, 1, 2, 1, 2, 1,
               2, 2, 2, 1, 2, 1,    2, 1, 1, 2, 1, 2,
               1, 2, 2, 1, 2, 2,    1, 5, 2, 1, 1, 2,
 	       1, 2, 1, 2, 2, 1,    2, 1, 2, 2, 1, 2,
               1, 1, 2, 1, 2, 1,    2, 2, 1, 2, 2, 1,
 	       2, 1, 1, 2, 3, 2,    2, 1, 2, 2, 2, 1,
               2, 1, 1, 2, 1, 1,    2, 1, 2, 2, 2, 1,
               2, 2, 1, 1, 2, 1,    1, 2, 1, 2, 2, 1, 
/* 2001 */     2, 2, 2, 3, 2, 1,    1, 2, 1, 2, 1, 2,
               2, 2, 1, 2, 1, 2,    1, 1, 2, 1, 2, 1,
               2, 2, 1, 2, 2, 1,    2, 1, 1, 2, 1, 2,
 	       1, 5, 2, 2, 1, 2,    1, 2, 2, 1, 1, 2,
               1, 2, 1, 2, 1, 2,    2, 1, 2, 2, 1, 2, 
               1, 1, 2, 1, 2, 1,    5, 2, 2, 1, 2, 2,
               1, 1, 2, 1, 1, 2,    1, 2, 2, 2, 1, 2,
 	       2, 1, 1, 2, 1, 1,    2, 1, 2, 2, 1, 2,
               2, 2, 1, 1, 5, 1,    2, 1, 2, 1, 2, 2,
 	       2, 1, 2, 1, 2, 1,    1, 2, 1, 2, 1, 2,
		  
/* 2011 */     2, 1, 2, 2, 1, 2,    1, 1, 2, 1, 2, 1,
               2, 1, 6, 2, 1, 2,    1, 1, 2, 1, 2, 1,
               2, 1, 2, 2, 1, 2,    1, 2, 1, 2, 1, 2,
               1, 2, 1, 2, 1, 2,    1, 2, 5, 2, 1, 2,
               1, 2, 1, 1, 2, 1,    2, 2, 2, 1, 2, 2, 
 	       1, 1, 2, 1, 1, 2,    1, 2, 2, 1, 2, 2,
               2, 1, 1, 2, 3, 2,    1, 2, 1, 2, 2, 2,
               1, 2, 1, 2, 1, 1,    2, 1, 2, 1, 2, 2,
               2, 1, 2, 1, 2, 1,    1, 2, 1, 2, 1, 2,
 	       2, 1, 2, 5, 2, 1,    1, 2, 1, 2, 1, 2, 
/* 2021 */     1, 2, 2, 1, 2, 1,    2, 1, 2, 1, 2, 1,
               2, 1, 2, 1, 2, 2,    1, 2, 1, 2, 1, 2,
               1, 5, 2, 1, 2, 1,    2, 2, 1, 2, 1, 2,
               1, 2, 1, 1, 2, 1,    2, 2, 1, 2, 2, 1,
               2, 1, 2, 1, 1, 5,    2, 1, 2, 2, 2, 1,
               2, 1, 2, 1, 1, 2,    1, 2, 1, 2, 2, 2,
               1, 2, 1, 2, 1, 1,    2, 1, 1, 2, 2, 2,
 	       1, 2, 2, 1, 5, 1,    2, 1, 1, 2, 2, 1,
               2, 2, 1, 2, 2, 1,    1, 2, 1, 1, 2, 2,
               1, 2, 1, 2, 2, 1,    2, 1, 2, 1, 2, 1,
/* 2031 */     2, 1, 5, 2, 1, 2,    2, 1, 2, 1, 2, 1,
               2, 1, 1, 2, 1, 2,    2, 1, 2, 2, 1, 2,
 	       1, 2, 1, 1, 2, 1,    5, 2, 2, 2, 1, 2,
               1, 2, 1, 1, 2, 1,    2, 1, 2, 2, 2, 1,
               2, 1, 2, 1, 1, 2,    1, 1, 2, 2, 1, 2,
             
	       2, 2, 1, 2, 1, 4,    1, 1, 2, 1, 2, 2,
               2, 2, 1, 2, 1, 1,    2, 1, 1, 2, 1, 2,
               2, 2, 1, 2, 1, 2,    1, 2, 1, 1, 2, 1,
               2, 2, 1, 2, 5, 2,    1, 2, 1, 2, 1, 1,
 	       2, 1, 2, 2, 1, 2,    2, 1, 2, 1, 2, 1,  
/* 2041 */     2, 1, 1, 2, 1, 2,    2, 1, 2, 2, 1, 2,
               1, 5, 1, 2, 1, 2,    1, 2, 2, 2, 1, 2,
	       1, 2, 1, 1, 2, 1,    1, 2, 2, 1, 2, 2  );  

$gan = array( "","","","","","","","","","" );
$jee = array( "","","","","","","","","","","","" );
$ddi = array( "","","","䳢","","","","","","","","" );
$week = array( "","","ȭ","","","","" );
$md = array( 31, 0, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 );

//for($i = 0 ; $i < 100; $i++){ echo $kk[$i]." ";}

function febdays($y)
{
	global $md;

	$leap = $y%400==0 || $y%100!=0 || $y%4==0;

	if($y%400==0 || $y%100!=0 || $y%4==0) $md[1] = 29;
	else     $md[1] = 28;
}

//  ------ sol2lun() ------
//    1841 1 23Ϻ  y m dϱ  td Ѵ
//    1841 1 1Ϻ td   ¥ Ѵ.
//    μ  1842 6 14Ͽ   غ.
//	 1841 1 23Ϻ 1842 6 14ϱ  td ϸ
//   500 ȴ. td  500 1841  384 ũǷ 500 384
//      116 Ѵ. ٽ  116 1842  Ѵ.
//     116 355 ũ Ƿ ⵵ 1842 ǰ Ͽ
//    Ѵ. 116 1842 1  29 ũǷ 116 29 
//   87 ´. ٽ 2  30 Ѵ.  ũǷ 87 30 
//   57 ´. ٽ 57 3  29Ϻ ũǷ 57 29  28
//   ´. 28 4  30 ũ Ƿ  4 ǰ ¥ 28
//   ȴ.    1842 6 14  1842 4 28 ȴ.

function siYoon($sy){

	if($sy%4 != 0) return 0;
	if($sy%100 != 0) return 1;
	if($sy%400 != 0) return 0;

	return 1;
}

function sol2lun($y, $m, $d)
/*   ȯ */
{

	global $kk,$md;
	

	$td1 = 672069; //1840 * 365 + 1840/4 - 1840/100 + 1840/400 + 23;  //1841 
	settype($td1,"integer");
	$sy = $y;

	if(siYoon($sy)) $md[1]=29;
	else $md[1] = 28;
	
	$sm = $m;
	$sd = $d;
	
	$td2 = ($sy-1) * 365 + ($sy-1)/4 - ($sy-1)/100 + ($sy-1)/400 + $sd; // Է¹  
	settype($td2,"integer");

	for($i=0; $i<$sm-1; $i++){
		$td2 += $md[$i];
	}

	$td = $td2 - $td1 + 1;

	for($i=0; $i<=$sy-1841; $i++) {
		$dt[$i] = 0;
		for($j=0; $j<12; $j++) {
			switch( $kk[ $i*12 + $j] ) {
				case 1 : $mm = 29;
					     break;
				case 2 : $mm = 30;
					     break;
				case 3 : $mm = 58;   /* 29+29 */
					     break;
                			case 4 : $mm = 59;   /* 29+30 */
					     break;
                			case 5 : $mm = 59;   /* 30+29 */
					     break;
				case 6 : $mm = 60;   /* 30+30 */
					     break;
			}
			$dt[$i] += $mm;
		}
	}
	$ly = 0;
	while(1) {
		if( $td > $dt[$ly] ) {
			$td -= $dt[$ly];
			$ly++;

		} else break;
	}
	$lm = 0;
	$yoon = "";
	while(1){
		if( $kk[$ly*12+$lm] <= 2 ) {
			$mm = $kk[$ly*12+$lm] + 28;

			if( $td > $mm ) {
				$td -= $mm;
				$lm++;
			} else break;
		} else {
			switch( $kk[$ly*12+$lm] ) {
				case 3 : $m1 = 29;
					 $m2 = 29;
					 break;					
				case 4 : $m1 = 29;
					 $m2 = 30;
					 break;
				case 5 : $m1 = 30;
					 $m2 = 29;
					 break;
				case 6 : $m1 = 30;
					 $m2 = 30;
					 break;
			}
			if( $td > $m1 ) {
				$td -= $m1;
				if( $td > $m2 ) {
					$td -= $m2;
					$lm++;
				} else {
					$yoon = "YOON";
					break;
				}
			} else break;
		}
	}

	$ly += 1841;
	$lm += 1;
	$ld = $td-1;
	$w = $td2 % 7;
	$i = ($td2+4) % 10;
	$j = ($td2+2) % 12;
	$k1 = ($ly+6) % 10;
	$k2 = ($ly+8) % 12;

	$year = (int)$ly;
	$month=(int)$lm;
	$day=(int)$ld+1;
	
	return array($year,$month,$day);
}

function lun2sol($ye, $m, $d)

{
		
	global $kk,$md;
	
	$lyear = $ye;
	$lmonth = $m;
	
	$y1 = $lyear - 1841;
	$m1 = $lmonth - 1;
	$leapyes = 0;
	if( $kk[$y1*12 + $m1] > 2) $leapyes = isYoon($ye);
	if( $leapyes == 1) {
		switch( $kk[$y1*12 + $m1] ) {
			case 3 :
			case 5 : $mm = 29;
				break;
			case 4 :
			case 6 : $mm = 30;
				break;
		}
	} else {
		switch( $kk[$y1*12 + $m1] ) {
			case 1 :
           		case 3 :
           		case 4 : $mm = 29;
			         break;
			case 2 :
			case 5 :
			case 6 : $mm = 30;
				break;
		}
	}

	$lday = $d;
	$td = 0;
	for($i=0; $i<$y1; $i++)
		for($j=0; $j<12; $j++)
			switch( $kk[$i *12 + $j] ) {
				case 1 : $td += 29;
					 break;
				case 2 : $td += 30;
					 break;
				case 3 : $td += 58;   /* 29+29 */
					 break;
				case 4 : $td += 59;   /* 29+30 */
				         break;
				case 5 : $td += 59;   /* 30+29 */
					 break;
				case 6 : $td += 60;   /* 30+30 */
					 break;
		}
	
	for ($j=0; $j<$m1; $j++)
		switch( $kk[$y1 * 12 + $j] ) {
			case 1 : $td +=29;
				break;
			case 2 : $td += 30;
				break;
			case 3 : $td += 58;   /* 29+29 */
				break;
			case 4 : $td += 59;   /* 29+30 */
				break;
			case 5 : $td += 59;   /* 30+29 */
				break;
			case 6 : $td += 60;   /* 30+30 */
				break;
		}

	if( $leapyes == 1 )
		switch( $kk[$y1 * 12 + $m1] ) {
			case 3 :
			case 4 : $td += 29;
				break;
			case 5 :
			case 6 : $td += 30;
				break;
		}
	$td += $lday + 22;
	/* td : 1841 1 1Ϻ ϴ  ü   */

	$y1 = 1840;

	do {
		$y1++;
		$leap = siYoon($y1);
		if($leap) $y2 = 366;
		else     $y2 = 365;
		if($td <= $y2) break;
		$td -= $y2;
	} while(1);

	$syear = $y1;
	$md[1] = $y2 - 337;
	$m1 = 0;
	do {
		$m1++;
		if( $td <= $md[$m1-1] ) break;
		$td -= $md[$m1-1];
	} while(1);

	$smonth = $m1;
	$sday = $td;
	$y = $syear - 1;
	$td = $y * 365 + $y/4 - $y/100 + $y/400;
	for($i=0; $i<$smonth-1; $i++) $td += $md[i];
	$td += $sday;
	$w = $td % 7;
	
	$i = ($td + 4) % 10;
	$j = ($td + 2) % 12;
	$k1 = ($lyear + 6) % 10;
	$k2 = ($lyear + 8) % 12;

	return array((int)$y,(int)$smonth,(int)$sday);
}
?> 
